$(function(){
	var valarr = 'radioencyklopediatelewizjaekranrozkładprognozasklepklawiatura', count = 0;
	$('input').val('').prop('disabled', false);
	$('input').keyup(function(event){
		var x = valarr.charAt($(this).data("value"));
		var y = $(this).val().toLowerCase();
		
		if(x == y){
			$(this).prop('disabled', true);
			$(this).next('input').focus();
                        count++;
                        if(count === valarr.length){
                           $("#jplayer_well").jPlayer("play");
                        }
		}
		else {
                       if ($(this).val().length > 0) $("#jplayer_wrong").jPlayer("play");
		       $(this).val('');
		}
	});
});